Assignee: Victor Olaya
Affected QGIS version:2.12.3 Regression?: No
Operating System: Windows 8 Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 22482
Description

When trying to use the Union and Intersect tools in the SAGA toolbox the following error message is given:

Can't load requested DLL: ....\\gdal_MrSID.dll
127: It is not possible to find the specified procedure (translated from Swedish)

| have checked and gdal_MrSid.dll is where it should be according to the path given in the error message. The intersect tool finishes and
gives a result while the Union tool does not (and the program freezes).

| have tried both QGIS 2.8.7. and 2.12.4 in Windows 8.

History

#1 - 2016-03-16 06:05 AM - Jiirgen Fischer
This due to the unfortunate situation, that saga in osgeo4w is repackaged from binaries saga ships and those contain a different version of GDAL. You can

just remove that DLL if you don't need MrSID data.

#2 - 2016-04-09 10:49 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Subject changed from Saga toolbox: Union and Intersect tools to Processing/SAGA: Union freezes program

Now that we know that the error message about gdal_MrSid.dll is unrelated, let's focus on the operation that does not work.

first of all, the union you are trying to do does work on native SAGA?

If yes then please attach sample data to allow us replicate the issue locally. Thanks

#3 - 2016-05-21 11:25 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
